LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/webhook_endpoints?per_page=2&page=1" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.webhook_endpoints.find_all({'per_page': 2, 'page': 1})
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.webhook_endpoints.get_all({ per_page: 2, page: 3 })
await client.webhookEndpoints.findAllWebhookEndpoints({
per_page: 2,
page: 3,
});
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().
SetApiKey("__YOUR_API_KEY__")
webhookEndpointListInput := &lago.WebhookEndpointListInput{
PerPage: 10,
Page: 1
}
webhookEndpointResult, err := lagoClient.WebhookEndpoint().GetList(WebhookEndpointListInput)
if err != nil {
// Error is *lago.Error
panic(err)
}
// webhookEndpointResult is *lago.WebhookEndpointResult
fmt.Println(webhookEndpointResult)
}
{
"webhook_endpoints": [
{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"webhook_url": "Prepaid",
"created_at": "2022-04-29T08:59:51Z",
"signature_algo": "hmac"
}
],
"meta": {
"current_page": 2,
"total_pages": 4,
"total_count": 70,
"next_page": 3,
"prev_page": 1
}
}{
"status": 401,
"error": "Unauthorized"
}Webhook endpoints
List all webhook endpoints
This endpoint is used to list all webhook endpoints.
GET
/
webhook_endpoints
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/webhook_endpoints?per_page=2&page=1" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.webhook_endpoints.find_all({'per_page': 2, 'page': 1})
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.webhook_endpoints.get_all({ per_page: 2, page: 3 })
await client.webhookEndpoints.findAllWebhookEndpoints({
per_page: 2,
page: 3,
});
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().
SetApiKey("__YOUR_API_KEY__")
webhookEndpointListInput := &lago.WebhookEndpointListInput{
PerPage: 10,
Page: 1
}
webhookEndpointResult, err := lagoClient.WebhookEndpoint().GetList(WebhookEndpointListInput)
if err != nil {
// Error is *lago.Error
panic(err)
}
// webhookEndpointResult is *lago.WebhookEndpointResult
fmt.Println(webhookEndpointResult)
}
{
"webhook_endpoints": [
{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"webhook_url": "Prepaid",
"created_at": "2022-04-29T08:59:51Z",
"signature_algo": "hmac"
}
],
"meta": {
"current_page": 2,
"total_pages": 4,
"total_count": 70,
"next_page": 3,
"prev_page": 1
}
}{
"status": 401,
"error": "Unauthorized"
}LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/webhook_endpoints?per_page=2&page=1" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.webhook_endpoints.find_all({'per_page': 2, 'page': 1})
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
client.webhook_endpoints.get_all({ per_page: 2, page: 3 })
await client.webhookEndpoints.findAllWebhookEndpoints({
per_page: 2,
page: 3,
});
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().
SetApiKey("__YOUR_API_KEY__")
webhookEndpointListInput := &lago.WebhookEndpointListInput{
PerPage: 10,
Page: 1
}
webhookEndpointResult, err := lagoClient.WebhookEndpoint().GetList(WebhookEndpointListInput)
if err != nil {
// Error is *lago.Error
panic(err)
}
// webhookEndpointResult is *lago.WebhookEndpointResult
fmt.Println(webhookEndpointResult)
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number.
Example:
1
Number of records per page.
Example:
20
⌘I